Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.properties
Class PropertiesHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          mro.util.properties.PropertiesHandler

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

     class PropertiesHandler

extends org.xml.sax.helpers.DefaultHandler

Class used for XML-parsing of `Properties`-objects.

Field Summary
`(package private) java.lang.StringBuffer` | `buffer`
`(package private) UniqueIdentifier` | `currentIdentifier`
`(package private) java.lang.String` | `description`
`(package private) boolean` | `inPVD`
`(package private) java.lang.String` | `name`
`(package private) boolean` | `owner`
`(package private) UniqueIdentifier` | `ownerIdentifier`
`(package private) Properties` | `properties`
`(package private) java.util.Stack<PropertyGroup>` | `propertyGroupStack`
`(package private) java.lang.String` | `pvdDescription`
`(package private) java.lang.String` | `pvdValue`
`(package private) boolean` | `related`
`(package private) java.util.Vector<UniqueIdentifier>` | `relatedIdentifiers`
`(package private) boolean` | `string`
`(package private) java.lang.String` | `value`
`(package private) java.util.Vector<PropertyValueDescription>` | `valueDescriptions`

Constructor Summary
`PropertiesHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName)`
`UniqueIdentifier` | `getOwnerIdentifier()`
`Properties` | `getProperties()`
`java.util.Vector<UniqueIdentifier>` | `getRelatedIdentifiers()`
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String qualifiedName, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    java.lang.StringBuffer buffer

### properties

    Properties properties

### propertyGroupStack

    java.util.Stack<PropertyGroup> propertyGroupStack

### name

    java.lang.String name

### value

    java.lang.String value

### description

    java.lang.String description

### string

    boolean string

### inPVD

    boolean inPVD

### valueDescriptions

    java.util.Vector<PropertyValueDescription> valueDescriptions

### pvdValue

    java.lang.String pvdValue

### pvdDescription

    java.lang.String pvdDescription

### currentIdentifier

    UniqueIdentifier currentIdentifier

### ownerIdentifier

    UniqueIdentifier ownerIdentifier

### relatedIdentifiers

    java.util.Vector<UniqueIdentifier> relatedIdentifiers

### owner

    boolean owner

### related

    boolean related

Constructor Detail

### PropertiesHandler

    PropertiesHandler()

Method Detail

### getProperties

    public Properties getProperties()

### getOwnerIdentifier

    public UniqueIdentifier getOwnerIdentifier()

### getRelatedIdentifiers

    public java.util.Vector<UniqueIdentifier> getRelatedIdentifiers()

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String qualifiedName,
                             org.xml.sax.Attributes atts)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String qualifiedName)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `org.xml.sax.helpers.DefaultHandler`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `characters` in class `org.xml.sax.helpers.DefaultHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD